Bug 179703 - Include #fedora irc freenode channel in autostart by default
Include #fedora irc freenode channel in autostart by default
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denise Dumas
: FutureFeature
: 430217 450996 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-02 03:35 EST by Rahul Sundaram
Modified: 2013-04-05 12:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2006-02-02 03:35:50 EST
Actual results:

No channels by default

Expected results:

should login into #fedora irc freenode channel


Additional info:

This would be useful for users who want help from other end users
Comment 1 Kevin Kofler 2008-01-25 06:45:47 EST
*** Bug 430217 has been marked as a duplicate of this bug. ***
Comment 2 Kevin Kofler 2008-01-25 06:48:01 EST
In bug 430217, Valent Turkovic suggested a separate .desktop file (probably on 
the desktop so new users can find it more easily) which joins #fedora. I marked 
it as a duplicate so the options can be discussed in a single bugzilla entry 
and not 2 separate one.
Comment 3 Kevin Kofler 2008-01-25 06:52:15 EST
If the .desktop file option is chosen, it would be a bad idea to hardcode XChat 
as the client to run, it isn't even installed on the KDE Live spin, for example 
(we'd want to run Konversation by default there). Something like xdg-open might 
work, also depending on bug 155075.
Comment 4 Valent Turkovic 2008-01-25 12:17:46 EST
I believe that this feature should be one-click-irc, without previous setting
the username - the username should be generated automatically - something like
"fedora 9 dvd user 2323", "fedora 11 live cd user 7344" or something shorter...
but you get the general idea. There should be an option to customuze the
username and have a personal username, but the first time a user clicks this
should be one-click-help button on the desktop.

It doesn't matter which client is used for irc, just that it is accessible to
both kde and gnome and that it gets the job done.
Comment 5 Kevin Kofler 2008-01-25 12:20:54 EST
I don't think any of our IRC clients supports automatic random username 
generation.
Comment 6 Valent Turkovic 2008-01-25 12:35:19 EST
There could be a script that generates the username and feeds it to irc client.
Comment 7 Matěj Cepl 2008-01-28 14:04:50 EST
(In reply to comment #4)
> I believe that this feature should be one-click-irc, without previous setting
> the username - the username should be generated automatically - something like
> "fedora 9 dvd user 2323", "fedora 11 live cd user 7344" or something shorter...
> but you get the general idea. There should be an option to customuze the
> username and have a personal username, but the first time a user clicks this
> should be one-click-help button on the desktop.

I don't think this is necessary -- single dialog "Enter your name and nick"
(with nick defaulting to something generated from the name) should be easy
enough. Having been on http://www.igniterealtime.org/support/group_chat.jsp it
seems to me obvious how automatically generated names tend to lead to the
conversation degradation. People behave sanely when using something at least
slightly individual to them.
Comment 8 Valent Turkovic 2008-01-28 15:12:08 EST
You are right, anarchy from apparent anonymity is bad and should be avoided.
Comment 9 Valent Turkovic 2008-06-12 04:13:44 EDT
*** Bug 450996 has been marked as a duplicate of this bug. ***
Comment 10 Valent Turkovic 2008-06-12 04:15:28 EDT
Any chance this becomes a Fedora 10 feature?
Comment 11 Valent Turkovic 2008-06-12 04:15:52 EDT
Some of the ideas that come from mailing list discussion:

Although this is a good idea I'm not sure how to achieve this
technically: Yes, there is an IRC url scheme [1], but I'm not sure if
all desktops are able to open IRC links. Other questions are: What
application should be used to open this link and how to we make sure
this application really is installed?
[1] http://www.w3.org/Addressing/draft-mirashi-url-irc-01.txt


+1 although should this need a specific support channel?


I would prefer Jabber MUC, but otherwise +1.


I'd like to see that in the live cd, which is useful for rescue
purposes.  As the fedora room/group/? requires nickserv registration,
there would have to be an automated script to randomly generate a nick
and register it, like with password "foo".
for a live cd, that would be sufficient and speed and convenience would
be good for either rescue purposes, or newbie installs.


Not a bad idea ... I would give that a +1


I would really like this for a rescue situation, so that I don't have to
register nick's and muck around trying to remember my nick and password. For
total newbies, it'd be good too.  I imagine that it wouldn't that
significant of a burden.
Over on the user list, the OP mentioned Sabayon doing this. Pidgin is in the
live cd and would work fine for this, to my knowledge.  It would have to be
something in the live cd. I see it more as a live-cd thing rather than necessary
on an actual install.



Jeff Spaleta:
If we were going to do something similar in Fedora, I would strongly
suggest these items be addressed before it goes live in a spin:

1) that we have a team of individuals ready to go as ops for the
channel before it goes live in a spin, with an effort to get 24 hour
coverage.  These are the people with the authority to step in and move
things along if the conversation degrades.

2) Identify a "helper" role and a list of people who are filling that
role and provide best practices policy for how to help users coming in
with problems.  This may or may not be the same as the ops role.  The
point being these are the people who commit to "helpdesk hours" in a
public way. If someone comes in at a certain time, they should be able
to check and see if a helper is manning the helpdesk.  Mutual aid
between users is a very useful thing, but having someone there who is
committed to setting an example on how to work through problems with
other people goes along way towards keeping things pleasant and
constructive.

3) There needs to be an established rules of conduct which is
presented to users before they enter the channel. Not in the channel
topic...after they've entered. I want a nag dialog, prior to entering
irc-space. A first time dialog would be fine.
Comment 12 Kevin Kofler 2008-06-12 04:21:39 EDT
> I'd like to see that in the live cd, which is useful for rescue
> purposes.  As the fedora room/group/? requires nickserv registration,
> there would have to be an automated script to randomly generate a nick
> and register it, like with password "foo".

That sucks as a solution. Can't #fedora be opened up for unregistered users 
instead?
Comment 13 Valent Turkovic 2010-05-06 11:18:49 EDT
Generating random user/password isn't that bad.
Comment 18 Rahul Sundaram 2013-04-05 12:44:42 EDT
This was opened so long ago and nothing has been done so far.  Either do this or close it as wontfix.  Thanks

Note You need to log in before you can comment on or make changes to this bug.